import axios from '@/utils/axios'

/**
 * 通过id获取用户ids
 *
 * @param groupId id
 * @return 用户ids
 * @date 2022.12.12
 */
export function userIdsByGroupId(groupId: string) {
  return axios.post(`/sys/group/user/ids/by/${groupId}`)
}

/**
 * 重新设置成员
 * @param groupId id
 * @param userIds 新成员ids
 */
export function userReset(groupId: string, userIds: string[]) {
  return axios.post('/sys/group/user/reset', { id: groupId, userIds })
}

/**
 * 移除某个成员
 * @param groupId id
 * @param userId 成员id
 */
export function userRemove(groupId: string, userId: string) {
  return axios.post('/sys/group/user/remove', { groupId, userId })
}
